Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.dev
Class POIFSHeaderDumper

    java.lang.Object
      org.apache.poi.poifs.dev.POIFSHeaderDumper

    public class POIFSHeaderDumper

extends java.lang.Object

A very low level debugging tool, for printing out core information on the headers and FAT blocks. You probably only want to use this if you're trying to understand POIFS, or if you're trying to track down the source of corruption in a file.

Constructor Summary
`POIFSHeaderDumper()`

Method Summary
`static void` | `displayBATReader(BlockAllocationTableReader batReader)`
`static void` | `displayHeader(HeaderBlock header_block)`
`static void` | `displayRawBlocksSummary(RawDataBlockList data_blocks)`
`static void` | `main(java.lang.String[] args)` Display the entries of multiple POIFS files
`static void` | `viewFile(java.lang.String filename)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POIFSHeaderDumper

    public POIFSHeaderDumper()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Display the entries of multiple POIFS files

  Parameters:
    `args` - the names of the files to be displayed
  Throws:
    `java.lang.Exception`

### viewFile

    public static void viewFile(java.lang.String filename)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### displayHeader

    public static void displayHeader(HeaderBlock header_block)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### displayRawBlocksSummary

    public static void displayRawBlocksSummary(RawDataBlockList data_blocks)
                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### displayBATReader

    public static void displayBATReader(BlockAllocationTableReader batReader)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD